PipeWire 1.4.10

Loading...
Searching...
No Matches
spa_meta_sync_timeline Struct Reference
SPA » Buffers

A timeline point for explicit sync. More...

`#include <spa/buffer/meta.h>`

## Data Fields
uint32_t | flags
uint32_t | padding
uint64_t | acquire_point
| the timeline acquire point, this is when the data can be accessed.
uint64_t | release_point
| the timeline release point, this timeline point should be signaled when the data is no longer accessed.

## Detailed Description

A timeline point for explicit sync.

Metadata to describe the time on the timeline when the buffer can be acquired and when it can be reused.

This metadata will require negotiation of 2 extra fds for the acquire and release timelines respectively. One way to achieve this is to place this metadata as SPA_PARAM_BUFFERS_metaType when negotiating a buffer layout with 2 extra fds.

## Field Documentation

## ◆ flags

uint32_t spa_meta_sync_timeline::flags

## ◆ padding

uint32_t spa_meta_sync_timeline::padding

## ◆ acquire_point

uint64_t spa_meta_sync_timeline::acquire_point

the timeline acquire point, this is when the data can be accessed.

## ◆ release_point

uint64_t spa_meta_sync_timeline::release_point

the timeline release point, this timeline point should be signaled when the data is no longer accessed.

The documentation for this struct was generated from the following file:

- spa/buffer/meta.h